<?php
add_action('widgets_init', 'banner_code_load_widgets');

function banner_code_load_widgets()
{
	register_widget('Banner_Code_Widget');
}

class Banner_Code_Widget extends WP_Widget {
	
	function Banner_Code_Widget()
	{
		$widget_ops = array('classname' => 'banner_code', 'description' => 'Add banner code in this widget.');

		$control_ops = array('id_base' => 'banner_code-widget');

		$this->WP_Widget('banner_code-widget', 'Broadway: Banner Code', $widget_ops, $control_ops);
	}
	
	function widget($args, $instance)
	{
		extract($args);

		$code = $instance['code']; ?>
		<div class="sidebar-banner"><?php echo $code; ?></div>
		<?php
	}
	
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;

		$instance['code'] = $new_instance['code'];
		
		return $instance;
	}

	function form($instance)
	{
		$defaults = array('code' => '');
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<p>
			<label for="<?php echo $this->get_field_id('code'); ?>">Banner Code:</label>
			<textarea class="widefat" rows="16" cols="20" id="<?php echo $this->get_field_id('code'); ?>" name="<?php echo $this->get_field_name('code'); ?>"><?php echo $instance['code']; ?></textarea>
		</p>
	<?php
	}
}
?>